<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.file (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/api/file/package-summary.html" target="classFrame">org.gradle.api.file</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="ConfigurableFileCollection.html" title="interface in org.gradle.api.file" target="classFrame"><i>ConfigurableFileCollection</i></a></li>
<li><a href="ConfigurableFileTree.html" title="interface in org.gradle.api.file" target="classFrame"><i>ConfigurableFileTree</i></a></li>
<li><a href="ContentFilterable.html" title="interface in org.gradle.api.file" target="classFrame"><i>ContentFilterable</i></a></li>
<li><a href="CopyProcessingSpec.html" title="interface in org.gradle.api.file" target="classFrame"><i>CopyProcessingSpec</i></a></li>
<li><a href="CopySourceSpec.html" title="interface in org.gradle.api.file" target="classFrame"><i>CopySourceSpec</i></a></li>
<li><a href="CopySpec.html" title="interface in org.gradle.api.file" target="classFrame"><i>CopySpec</i></a></li>
<li><a href="DeleteSpec.html" title="interface in org.gradle.api.file" target="classFrame"><i>DeleteSpec</i></a></li>
<li><a href="Directory.html" title="interface in org.gradle.api.file" target="classFrame"><i>Directory</i></a></li>
<li><a href="DirectoryTree.html" title="interface in org.gradle.api.file" target="classFrame"><i>DirectoryTree</i></a></li>
<li><a href="DirectoryVar.html" title="interface in org.gradle.api.file" target="classFrame"><i>DirectoryVar</i></a></li>
<li><a href="FileCollection.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileCollection</i></a></li>
<li><a href="FileCopyDetails.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileCopyDetails</i></a></li>
<li><a href="FileSystemLocation.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileSystemLocation</i></a></li>
<li><a href="FileTree.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileTree</i></a></li>
<li><a href="FileTreeElement.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileTreeElement</i></a></li>
<li><a href="FileVisitDetails.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileVisitDetails</i></a></li>
<li><a href="FileVisitor.html" title="interface in org.gradle.api.file" target="classFrame"><i>FileVisitor</i></a></li>
<li><a href="ProjectLayout.html" title="interface in org.gradle.api.file" target="classFrame"><i>ProjectLayout</i></a></li>
<li><a href="RegularFile.html" title="interface in org.gradle.api.file" target="classFrame"><i>RegularFile</i></a></li>
<li><a href="RegularFileVar.html" title="interface in org.gradle.api.file" target="classFrame"><i>RegularFileVar</i></a></li>
<li><a href="ReproducibleFileVisitor.html" title="interface in org.gradle.api.file" target="classFrame"><i>ReproducibleFileVisitor</i></a></li>
<li><a href="SourceDirectorySet.html" title="interface in org.gradle.api.file" target="classFrame"><i>SourceDirectorySet</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="EmptyFileVisitor.html" title="class in org.gradle.api.file" target="classFrame">EmptyFileVisitor</a></li>
<li><a href="RelativePath.html" title="class in org.gradle.api.file" target="classFrame">RelativePath</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="DuplicatesStrategy.html" title="enum in org.gradle.api.file" target="classFrame">DuplicatesStrategy</a></li>
<li><a href="FileCollection.AntType.html" title="enum in org.gradle.api.file" target="classFrame">FileCollection.AntType</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="DuplicateFileCopyingException.html" title="class in org.gradle.api.file" target="classFrame">DuplicateFileCopyingException</a></li>
<li><a href="UnableToDeleteFileException.html" title="class in org.gradle.api.file" target="classFrame">UnableToDeleteFileException</a></li>
</ul>
</div>
</body>
</html>
